org.apache.tapestry5.internal.structure

## Class ComponentPageElementResourcesSourceImpl

- java.lang.Object
- - org.apache.tapestry5.internal.structure.ComponentPageElementResourcesSourceImpl

- All Implemented Interfaces:
    ComponentPageElementResourcesSource

      public class ComponentPageElementResourcesSourceImpl
      extends java.lang.Object
      implements ComponentPageElementResourcesSource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentPageElementResourcesSourceImpl(ComponentMessagesSource componentMessagesSource, TypeCoercer typeCoercer, ComponentClassCache componentClassCache, ContextValueEncoder contextValueEncoder, LinkSource linkSource, RequestPageCache requestPageCache, ComponentClassResolver componentClassResolver, LoggerSource loggerSource, OperationTracker tracker, PerthreadManager perThreadManager, boolean productionMode, boolean componentTracingEnabled, RequestGlobals requestGlobals)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ComponentPageElementResources` | `get(ComponentResourceSelector selector)` Gets (or creates) an instance of `ComponentPageElementResources` for the indicated selector.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentPageElementResourcesSourceImpl

          public ComponentPageElementResourcesSourceImpl(ComponentMessagesSource componentMessagesSource,
                                                         TypeCoercer typeCoercer,
                                                         ComponentClassCache componentClassCache,
                                                         ContextValueEncoder contextValueEncoder,
                                                         LinkSource linkSource,
                                                         RequestPageCache requestPageCache,
                                                         ComponentClassResolver componentClassResolver,
                                                         LoggerSource loggerSource,
                                                         OperationTracker tracker,
                                                         PerthreadManager perThreadManager,
                                                         @Symbol(value="tapestry.production-mode")
                                                         boolean productionMode,
                                                         @Symbol(value="tapestry.component-render-tracing-enabled")
                                                         boolean componentTracingEnabled,
                                                         RequestGlobals requestGlobals)

  - ### Method Detail

    - #### get

          public ComponentPageElementResources get(ComponentResourceSelector selector)

      Description copied from interface: `ComponentPageElementResourcesSource`
      Gets (or creates) an instance of `ComponentPageElementResources` for the indicated selector.
      Specified by:
        `get` in interface `ComponentPageElementResourcesSource`
      Parameters:
        `selector` - to create the resources for
      Returns:
        the resources

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.